#define svn 22184

Name:		inkscape
Summary:	A Vector Drawing Application
Summary(ja):	ベクトル描画アプリケーション
Version:	0.47
Release:	2%{?_dist_release}
License:	GPL
Group:		Applications/Graphics
URL:		http://www.inkscape.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source:		%{name}-%{version}.tar.bz2
Patch10:	%{name}-22184-vine.patch

BuildRequires: gtk2-devel >= 2.8.0
BuildRequires: gnome-vfs2-devel >= 2.0.0
BuildRequires: libxml2-devel >= 2.6.11
BuildRequires: libxslt-devel >= 1.0.15
BuildRequires: libgnomeprint-devel >= 1.116.0
BuildRequires: libgnomeprintui-devel >= 1.116.0
BuildRequires: gc-devel >= 6.4
BuildRequires: libsigc++-devel >= 2.0.12
BuildRequires: gtkmm2-devel >= 2.4.0
BuildRequires: libpng-devel >= 1.2.0
BuildRequires: perl-XML-Parser 
BuildRequires: lcms-devel >= 1.13
BuildRequires: poppler-devel
BuildRequires: pango-devel, cairo-devel
BuildRequires: gsl-devel
BuildRequires: libboost-devel

%description
Inkscape is a SVG based generic vector-drawing program for 
Linux/Unix/Windows/Mac.

%description -l ja
Inkscape は SVG ベースの汎用ベクトル描画プログラムです。
Linux/Unix/Windows/Mac で動作します。

%prep
%setup -q -n %{name}-%{version}
%patch10 -p1

%build
%configure \
 --with-xinerama \
 --enable-static=no \
 --with-python \
 --with-gnome-vfs \
 --with-inkjar \
 --enable-inkboard \
 --enable-lcms \
 --enable-poppler-cairo

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/inkscape
%{_bindir}/inkview
#%{_libdir}/inkscape
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_datadir}/inkscape
%{_mandir}/man1/*

%changelog
* Fri Nov 27 2009 Shu KONNO <owa@bg.wakwak.com> 0.47-2
- rebuild with poppler-0.12.1

* Mon Nov 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.47-1
- new upstream release
- add BR: libboost-devel

* Thu Sep 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.47-0.1.pre2
- update to 0.47pre2
- drop obsolete patches
- add BR: gsl-devel

* Sat Dec 13 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.46-4
- rebuild with poppler-0.10.2

* Sun Oct 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.46-3
- add Patch[1-6]

* Sat Aug 23 2008 Shu KONNO <owa@bg.wakwak.com> 0.46-2vl5
- added inkscape-0.46-poppler-0.8.3.patch
- spec in utf-8
- added option %%{?_smp_mflags} at make

* Sun Apr 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.46-1vl5
- new upstream release

* Fri May 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.45.1-0vl2
- rebuild with new environment/toolchain

* Mon Apr 30 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.45.1-0vl1
- new upstream release

* Sun Mar 11 2007 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.45-0vl2
- add BuildRequires: lcms-devel >= 1.13, libxslt-devel >= 1.0.15
- update required version of gtk2-devel

* Sat Feb 10 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.45-0vl1
- new upstream release

* Sun Sep 24 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.44.1-0vl1
- new upstream release

* Wed Nov 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.43-0vl1
- new upstream release

* Tue Aug 23 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.42.2-0vl1
- new upstream release

* Mon Aug 22 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.42.1-0vl1
- new upstream release

* Thu Aug 18 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.42-0vl1
- new upstream release

* Tue Nov 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.40-0vl1
- new upstream release
- add Japanese summary and description
- fixed dependancy of libsigc++12 to libsigc++ >= 2.0

* Tue Nov 16 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.39-1vl2
- fixed dependancy of libsigc++ to libsigc++12
- fixed %files section

* Wed Aug 25 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.39-1vl1
- rebuild for Vine Linux
- s/Copyright/License/
- added Requires and BuildRequires

* Sat Jul 17 2004 Bryce W. Harrington <bryce@bryceharrington.com>
- Removing _libdir and TODO, updating description

* Thu May 01 2003 Christian Schaller <uraeus@gnome.org>
- Fix up the spec file for current release

* Mon Sep 23 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.6

* Thu Sep 12 2002 Dag Wieers <dag@wieers.com>
- Update to 0.2.5
- Changed SPEC to benefit from macros
